{ flake, config, ... }:
let
  inherit (flake.config.people)
    user0
    user1
    user2
    ;
  inherit (flake.config.machines)
    devices
    ;
  hostname = config.networking.hostName;
  jupiter = devices.jupiter.name;
  ceres = devices.ceres.name;
  saturn = devices.saturn.names;
  callisto = devices.callisto.name;
in
{
  security = {
    doas = {
      enable = true;
      extraRules = [
        {
          keepEnv = true;
          noPass = true;
          users = [
            (
              if hostname == jupiter then
                user0
              else if hostname == ceres then
                user0
              else if hostname == callisto then
                user1
              else if hostname == saturn then
                user2
              else
                ""
            )
          ];
        }
      ];
    };
    # sudo.enable = false;
  };
}
