{
  config,
  flake,
  ...
}:
let
  inherit (flake.config.people) user2;
  inherit (flake.config.machines.devices) saturn;
in
{
  imports = [ ];

  fileSystems =
    let
      storageDrives = [
        "storage0"
        "storage1"
      ];

      storageMounts = storage: {
        name = "${saturn.${storage}.mount}";
        value = {
          device = saturn.${storage}.device;
          fsType = "ext4";
          options = saturn.${storage}.options;
        };
      };
    in
    {
      "/" = {
        device = "/dev/disk/by-uuid/d02cb367-26e0-4708-8840-75dcc4362ff4";
        fsType = "ext4";
      };
      "/boot" = {
        device = "/dev/disk/by-uuid/22BD-5A25";
        fsType = "vfat";
        options = saturn.boot.options;
      };
    }
    // (builtins.listToAttrs (map storageMounts storageDrives));

  swapDevices = [
    { device = "/dev/disk/by-uuid/cc7ab213-26c9-4567-91ca-9dba6e98c9d1"; }
  ];

  systemd.tmpfiles.rules = [
    "Z ${config.home-manager.users.${user2}.home.homeDirectory} 0755 ${user2} users -"
    "Z ${saturn.storage0.mount} 0755 ${user2} users -"
    "Z ${saturn.storage1.mount} 0755 ${user2} users -"
  ];

  services.udisks2.enable = true;
}
